/*
 * Copyright 2013-2014 Canonical Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "uuid_factory.h"

FakeUuidFactory::FakeUuidFactory(QObject *parent)
    : UuidFactory(parent) {
    _id = QUuid::createUuid();
}

QUuid
FakeUuidFactory::data() {
    return _id;
}

QUuid
FakeUuidFactory::createUuid() {
    if (_recording) {
        MethodData methodData;
        methodData.setMethodName("createUuid");
        _called.append(methodData);
    }
    return _id;
}
